<template>
  <div class="new-note">
    <label>Title</label>
    <input type="text" v-model="note.title" />
    <label>Description</label>
    <textarea v-model="note.description"></textarea>
    <button class="btn btnPrimary" @click="addNote" style="margin-top: 10px;">
      Add Note
    </button>
  </div>
</template>
<script>
export default {
  props: {
    note: {
      type: Object,
      required: true,
    },
  },
  methods: {
    addNote() {
      this.$emit("addNote", this.note);
    },
  },
};
</script>

<style lang="scss" scoped>
.new-note {
  text-align: center;
}
</style>
